Bug 1136946 - Review Request: python-retrying - General-purpose retrying library in Python.
Summary: Review Request: python-retrying - General-purpose retrying library in Python.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 1139982 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-03 16:15 UTC by Alan Pevec
Modified: 2014-12-06 10:48 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-22 12:11:57 UTC
karlthered: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Alan Pevec 2014-09-03 16:15:55 UTC
Spec URL: https://apevec.fedorapeople.org/python-retrying.spec
SRPM URL: https://apevec.fedorapeople.org/python-retrying-1.2.3-1.fc22.src.rpm
Description: Retrying is an Apache 2.0 licensed general-purpose retrying library,
written in Python, to simplify the task of adding retry behavior to
just about anything.
Fedora Account System Username: apevec

Comment 1 Haïkel Guémar 2014-09-05 12:46:16 UTC
I found that it bundles some code from six, I submitted a pull-request to upstream to fix it. Tests passes for python 2.7/3.3/3.4.
https://github.com/rholder/retrying/pull/16
https://github.com/rholder/retrying/pull/16.patch (to retrieve the patch)

Feel free to use it :)

Comment 2 Alan Pevec 2014-09-06 16:54:19 UTC
Thanks Haïkel, I've created https://github.com/redhat-openstack/retrying/commits/master-patches for RPM patches in order to maintain your patch on top of release tags, as it seem upstream maintainer isn't willing to give up bundling. I'll use rdopkg for updating patch(es).

Spec URL: https://apevec.fedorapeople.org/python-retrying.spec
SRPM URL: https://apevec.fedorapeople.org/python-retrying-1.2.3-2.fc22.src.rpm
Description: Retrying is an Apache 2.0 licensed general-purpose retrying library,
written in Python, to simplify the task of adding retry behavior to
just about anything.
Fedora Account System Username: apevec

Comment 3 Haïkel Guémar 2014-09-07 11:36:43 UTC
+1 for the repository.

Build fails as setup.py relies on requirements.txt to retrieve the list of dependencies.
It is safe to remove the "rm -f requirements.txt" line here.

Comment 4 Alan Pevec 2014-09-08 20:43:15 UTC
> It is safe to remove the "rm -f requirements.txt" line here.

You mean s/remove/leave/ I guess?

As a side note, I'm not sure about rm -f requirements.txt these days, we started doing that in openstack packages to avoid "double accounting" and out of sync info between eggs/rpmdb. Also in el6 we were getting away by using older python libs from base OS instead of pushing updates to RHEL6 (mostly mission impossible :)
But we gave up on the latter long ago, in RDO we update dependencies as needed, including overriding base OS.

Any suggestions how to handle this going forward in general?

Comment 5 Alan Pevec 2014-09-08 20:46:56 UTC
Spec URL: https://apevec.fedorapeople.org/python-retrying.spec
SRPM URL: https://apevec.fedorapeople.org/python-retrying-1.2.3-3.fc22.src.rpm
Description: Retrying is an Apache 2.0 licensed general-purpose retrying library,
written in Python, to simplify the task of adding retry behavior to
just about anything.
Fedora Account System Username: apevec

Comment 6 Haïkel Guémar 2014-09-08 21:24:05 UTC
Since this package complies with Fedora packaging guidelines, I hereby approve it into Fedora Packages Collection.
Please submit a scm request.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0) MIT/X11 (BSD like)", "Unknown or generated". 1 files have
     unknown license. Detailed output of licensecheck in /home/haikel/1136946
     -python-retrying/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-retrying-1.2.3-3.fc22.noarch.rpm
          python-retrying-1.2.3-3.fc22.src.rpm
python-retrying.noarch: W: summary-ended-with-dot C General-purpose retrying library in Python.
python-retrying.src: W: summary-ended-with-dot C General-purpose retrying library in Python.
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-retrying
python-retrying.noarch: W: summary-ended-with-dot C General-purpose retrying library in Python.
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-retrying (rpmlib, GLIBC filtered):
    python(abi)
    python-six



Provides
--------
python-retrying:
    python-retrying



Source checksums
----------------
https://pypi.python.org/packages/source/r/retrying/retrying-1.2.3.tar.gz :
  CHECKSUM(SHA256) this package     : 774985f534d58d8c22e93c6ffc5bcc381d28199917c11abb2abf41881c8526c4
  CHECKSUM(SHA256) upstream package : 774985f534d58d8c22e93c6ffc5bcc381d28199917c11abb2abf41881c8526c4

Comment 7 Haïkel Guémar 2014-09-09 07:40:38 UTC
@Alan: as for requirements.txt, it shouldn't be a concern, it's not installed and it's only used by pip and alike. To avoid redundancy in python packaging, it has become a common pratice to do install_requires=open('requirements.txt').read() in setup.py.
So I think it's safe to drop it altogether.

About the egg-info, as long as they are generated by setup.py, we could leave them altogether. In fact, if we had a package requiring it through the egg interface, we must keep them.

Comment 8 Alan Pevec 2014-09-09 15:26:40 UTC
New Package SCM Request
=======================
Package Name: python-retrying
Short Description: General-purpose retrying library in Python.
Upstream URL: https://github.com/rholder/retrying
Owners: apevec
Branches: f20 f21 epel7
InitialCC:

Comment 9 Gwyn Ciesla 2014-09-09 19:34:13 UTC
Git done (by process-git-requests).

Comment 10 Nejc Saje 2014-09-10 08:53:19 UTC
*** Bug 1139982 has been marked as a duplicate of this bug. ***

Comment 11 Fedora Update System 2014-09-10 11:43:09 UTC
python-retrying-1.2.3-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-retrying-1.2.3-3.el7

Comment 12 Fedora Update System 2014-09-10 11:46:14 UTC
python-retrying-1.2.3-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-retrying-1.2.3-3.fc21

Comment 13 Fedora Update System 2014-09-10 11:47:23 UTC
python-retrying-1.2.3-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-retrying-1.2.3-3.fc20

Comment 14 Fedora Update System 2014-09-10 16:42:40 UTC
python-retrying-1.2.3-3.fc21 has been pushed to the Fedora 21 testing repository.

Comment 15 Fedora Update System 2014-12-01 21:43:17 UTC
python-retrying-1.2.3-3.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 16 Fedora Update System 2014-12-03 01:01:41 UTC
python-retrying-1.2.3-3.fc20 has been pushed to the Fedora 20 stable repository.

Comment 17 Fedora Update System 2014-12-06 10:48:52 UTC
python-retrying-1.2.3-3.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.